org.apache.ignite.internal.client.thin.io.gridnioserver

## Class GridNioClientConnectionMultiplexer

- java.lang.Object
- - org.apache.ignite.internal.client.thin.io.gridnioserver.GridNioClientConnectionMultiplexer

All Implemented Interfaces:
  ClientConnectionMultiplexer

    public class GridNioClientConnectionMultiplexer
    extends Object
    implements ClientConnectionMultiplexer

Client connection multiplexer based on `GridNioServer`.

### Constructor Summary

Constructors
Constructor and Description
`GridNioClientConnectionMultiplexer(ClientConfiguration cfg)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`ClientConnection` `open(InetSocketAddress addr, ClientMessageHandler msgHnd, ClientConnectionStateHandler stateHnd)` Opens a new connection.
`void` `start()` Initializes this instance.
`void` `stop()` Stops this instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridNioClientConnectionMultiplexer

    public GridNioClientConnectionMultiplexer(ClientConfiguration cfg)

Constructor.

Parameters:
  `cfg` - Client config.

### Method Detail

#### start

    public void start()

Initializes this instance.

Specified by:
  `start` in interface `ClientConnectionMultiplexer`

#### stop

    public void stop()

Stops this instance.

Specified by:
  `stop` in interface `ClientConnectionMultiplexer`

#### open

    public ClientConnection open(InetSocketAddress addr,
                                 ClientMessageHandler msgHnd,
                                 ClientConnectionStateHandler stateHnd)
                          throws ClientConnectionException

Opens a new connection.

Specified by:
  `open` in interface `ClientConnectionMultiplexer`
Parameters:
  `addr` - Address.
  `msgHnd` - Incoming message handler.
  `stateHnd` - Connection state handler.
Returns:
  Created connection.
Throws:
  `ClientConnectionException` - when connection can't be established.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022